import { DynamicModule } from '@nestjs/common';
import type { ValidationError } from 'class-validator';
import { TypedConfigModuleAsyncOptions, TypedConfigModuleOptions } from './interfaces/typed-config-module-options.interface';
export declare class TypedConfigModule {
    static forRoot(options: TypedConfigModuleOptions): DynamicModule;
    static forRootAsync(options: TypedConfigModuleAsyncOptions): Promise<DynamicModule>;
    private static getDynamicModule;
    private static getRawConfig;
    private static getRawConfigAsync;
    private static getProviders;
    private static validateWithClassValidator;
    static getConfigErrorMessage(errors: ValidationError[]): string;
    /**
     * Transforms validation error object returned by class-validator to more
     * readable error messages.
     */
    private static formatValidationError;
}
