"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.loadPackage = void 0;
const MISSING_REQUIRED_DEPENDENCY = (name, reason) => `The "${name}" package is missing. Please, make sure to install this library ($ npm install ${name}) to take advantage of ${reason}.`;
function loadPackage(packageName, context) {
    try {
        return require(packageName);
    }
    catch (e) {
        console.error(MISSING_REQUIRED_DEPENDENCY(packageName, context));
        process.exit(1);
    }
}
exports.loadPackage = loadPackage;
//# sourceMappingURL=load-package.util.js.map