"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.selectConfig = void 0;
const selectConfig = (module, Config, options) => {
    const providers = module.providers;
    const selectedConfig = (providers || []).filter(({ provide }) => provide === Config)[0];
    if (options === null || options === void 0 ? void 0 : options.allowOptional) {
        return selectedConfig === null || selectedConfig === void 0 ? void 0 : selectedConfig.useValue;
    }
    if (!selectedConfig) {
        throw new Error('You can only select config which exists in providers. \
      If the config being selected is marked as optional, \
      please pass `allowOptional` in options argument.');
    }
    return selectedConfig.useValue;
};
exports.selectConfig = selectConfig;
//# sourceMappingURL=select-config.util.js.map